## intel-gmmlib 22.0.2%2Bds1

=== Source/GmmLib/CMakeLists.txt ===

# Copyright(c) 2017 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files(the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and / or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.


cmake_minimum_required(VERSION 3.5)
project(igfx_gmmumd)

# GmmLib Api Version used for so naming
set(GMMLIB_API_MAJOR_VERSION 12)
set(GMMLIB_API_MINOR_VERSION 0)

if(NOT DEFINED MAJOR_VERSION)
	set(MAJOR_VERSION 12)
endif()

if(NOT DEFINED MINOR_VERSION)
	set(MINOR_VERSION 0)
endif()

if(NOT DEFINED PATCH_VERSION)
	set(PATCH_VERSION 0)
endif()

if(NOT DEFINED GMMLIB_API_PATCH_VERSION)
    set(GMMLIB_API_PATCH_VERSION ${PATCH_VERSION})
endif()

message(STATUS "API version: ${GMMLIB_API_MAJOR_VERSION}.${GMMLIB_API_MINOR_VERSION}.${GMMLIB_API_PATCH_VERSION}")
message(STATUS "Package version: ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")

if(NOT DEFINED BS_USE_OSDM_BUILD_SYSTEM)
    if(DEFINED ENV{BS_USE_OSDM_BUILD_SYSTEM})
        set(BS_USE_OSDM_BUILD_SYSTEM "$ENV{BS_USE_OSDM_BUILD_SYSTEM}")
    else()
        set(BS_USE_OSDM_BUILD_SYSTEM FALSE)
    endif()
endif()

# begin -- label bldsys file prologue
# WARNING: The "project" statement triggers reading of CMAKE_TOOLCHAIN_FILE
#   and so must precede the inclusion below of bs_init.cmake .
function(bs_find_build_system gfx_dev_dir build_sys_dir build_sys_inc)
    # If we are not building as a standalone project
    if(DEFINED GFX_DEVELOPMENT_DIR)
        set(_bs_gfx_development_dir "${GFX_DEVELOPMENT_DIR}")
    elseif(DEFINED ENV{GFX_DEVELOPMENT_DIR})
        set(_bs_gfx_development_dir "$ENV{GFX_DEVELOPMENT_DIR}")
    else()
        get_filename_component(_bs_cur_cmake_dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
        get_filename_component(_bs_parent_dir "${_bs_cur_cmake_dir}" DIRECTORY)
        set(_bs_gfx_dir_found false)
        while(NOT _bs_gfx_dir_found)
            set(_bs_bldsys_dir "${_bs_parent_dir}/Tools/bldsys")
            if(EXISTS ${_bs_bldsys_dir})
                set(_bs_gfx_development_dir ${_bs_parent_dir})
                set(_bs_gfx_dir_found true)
                break()
            endif()
            get_filename_component(_bs_parent_dir "${_bs_parent_dir}" DIRECTORY)
            if(${_bs_parent_dir} STREQUAL "/")
                break()
            endif()
        endwhile(NOT _bs_gfx_dir_found)
        if (NOT _bs_gfx_development_dir)
            message(FATAL_ERROR "GFX_DEVELOPMENT_DIR not found (${_bs_gfx_development_dir}) - exiting!")
            exit(1)
        endif()
    endif()
    set(${gfx_dev_dir} "${_bs_gfx_development_dir}" PARENT_SCOPE)
    set(${build_sys_dir} "${_bs_gfx_development_dir}/Tools/bldsys" PARENT_SCOPE)
    set(${build_sys_inc} "${_bs_gfx_development_dir}/Tools/bldsys/include" PARENT_SCOPE)
endfunction(bs_find_build_system)

bs_find_build_system(GFX_DEVELOPMENT_DIR BUILD_SYS_DIR BUILD_SYS_INC)

include(${BUILD_SYS_DIR}/bs_init.cmake)
include(${BUILD_SYS_INC}/bs_dir_names.cmake)
# file prologue done


set(CMAKE_DISABLE_SOURCE_CHANGES ON)
set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)

################################################################################
# Define GMM_DLL Target
################################################################################
set (GMM_LIB_DLL_NAME igfx_gmmumd_dll)

macro(GmmLibSetTargetConfig libTarget)
	if (TARGET ${libTarget})
			set_property(TARGET ${libTarget} APPEND PROPERTY COMPILE_DEFINITIONS
				$<$<CONFIG:Release>: _RELEASE>
				$<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
				$<$<CONFIG:Debug>: _DEBUG>
			)
		endif()

endmacro()

if(CMAKE_CONFIGURATION_TYPES)
  set( CMAKE_CONFIGURATION_TYPES
      "Debug"
      "Release"
      "ReleaseInternal")

  set( CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING
       "Reset the configurations to what we need"
       FORCE)
endif()

set(GMMLIB_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set (GMMLIB_ARCH "64")
else()
    set (GMMLIB_ARCH "32")
endif()

if ("${BUILD_TYPE}" STREQUAL "release")
    set(CMAKE_BUILD_TYPE "Release")
elseif ("${BUILD_TYPE}" STREQUAL "release-internal")
    set(CMAKE_BUILD_TYPE "ReleaseInternal")
elseif ("${BUILD_TYPE}" STREQUAL "debug")
    set(CMAKE_BUILD_TYPE "Debug")
endif()

if("${GMMLIB_MARCH}" STREQUAL "")
    set(GMMLIB_MARCH "corei7")
endif()

MESSAGE("platform: ${CMAKE_HOST_SYSTEM_NAME}")
MESSAGE("source_dir: ${BS_DIR_GMMLIB}")
MESSAGE("arch: ${GMMLIB_ARCH}")
MESSAGE("build type: ${CMAKE_BUILD_TYPE}")
MESSAGE("SourceConfiguration:")
MESSAGE("CommonDir: ${BS_DIR_COMMON}")
MESSAGE("IncDir: ${BS_DIR_INC}")

# If '-DGMM_DYNAMIC_MOCS_TABLE=TRUE' (default is FALSE) passed to cmake
# configure command gmmlib will generate MOCS table dynamically depending on
# usage requests (Gen9). In this case on Linux user responsibility is to
# make sure that generated MOCS table is programmed on KMD level.
if (GMM_DYNAMIC_MOCS_TABLE)
    MESSAGE("MOCS table: Dynamic")
    add_definitions(-DGMM_DYNAMIC_MOCS_TABLE)
else()
    MESSAGE("MOCS table: Static")
endif()

if(DEFINED UFO_DRIVER_OPTIMIZATION_LEVEL)
    if(${UFO_DRIVER_OPTIMIZATION_LEVEL} GREATER 0)
        add_definitions(-DGMM_GFX_GEN=${GFXGEN})
    endif()
endif()

set(HEADERS_
	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyConditionals.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyUndefineConditionals.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen10.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen11.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12.h
        ${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12dGPU.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen8.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen9.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyCommon.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCommonExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmConst.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmDebug.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmFormatTable.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmHw.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfo.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfoExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmInternal.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmMemAllocator.hpp

	${BS_DIR_GMMLIB}/inc/External/Common/GmmPlatformExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmProto.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceFlags.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceInfo.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceInfoCommon.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceInfoExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmTextureExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmUtil.h
	${BS_DIR_GMMLIB}/inc/External/Linux/GmmResourceInfoLin.h
        ${BS_DIR_GMMLIB}/inc/External/Linux/GmmResourceInfoLinExt.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen10Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen11Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen12Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen8Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen9Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen10TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen11TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen12TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen7TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen8TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen9TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmTextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmCommonInt.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLibInc.h
	${BS_DIR_GMMLIB}/inc/GmmLib.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLogger.h
)

set(UMD_HEADERS
	${HEADERS_}
	${BS_DIR_GMMLIB}/inc/External/Common/GmmPageTableMgr.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmClientContext.h
        ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDll.h
        ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDllName.h
	)


set(SOURCES_
  ${BS_DIR_COMMON}/AssertTracer/AssertTracer.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyCommon.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen11Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen12Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen8Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen9Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen10Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmPlatform.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmResourceInfo.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommon.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommonEx.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp
  ${BS_DIR_GMMLIB}/Resource/Linux/GmmResourceInfoLinCWrapper.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen7Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen8Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen9Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen10Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen11Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen12Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTexture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTextureAlloc.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTextureOffset.cpp
  ${BS_DIR_GMMLIB}/GlobalInfo/GmmInfo.cpp
  ${BS_DIR_GMMLIB}/Utility/CpuSwizzleBlt/CpuSwizzleBlt.c
  ${BS_DIR_GMMLIB}/Utility/GmmLog/GmmLog.cpp
  ${BS_DIR_GMMLIB}/Utility/GmmUtility.cpp
)

set(UMD_SOURCES
  ${SOURCES_}
  ${BS_DIR_GMMLIB}/TranslationTable/GmmAuxTable.cpp
  ${BS_DIR_GMMLIB}/TranslationTable/GmmPageTableMgr.cpp
  ${BS_DIR_GMMLIB}/TranslationTable/GmmUmdTranslationTable.cpp
  ${BS_DIR_GMMLIB}/GlobalInfo/GmmClientContext.cpp
  ${BS_DIR_GMMLIB}/GlobalInfo/GmmLibDllMain.cpp
  )

source_group("Source Files\\Cache Policy\\Client Files" FILES
			${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
                        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
			)

## intel-gmmlib 22.0.2+ds1

=== debian/changelog ===
intel-gmmlib (22.0.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 12 Feb 2022 14:48:32 -0500

intel-gmmlib (22.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.0.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Feb 2022 22:16:56 +0100

intel-gmmlib (22.0.1+ds1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 22.0.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Dec 2021 22:12:03 +0100

intel-gmmlib (22.0.0+ds1-1) experimental; urgency=medium

  * New upstream version 22.0.0+ds1
  * SONAME bump: libigdgmm11 -> libigdgmm12
  * debian/copyright:
    - Bump copyright years
    - Remove Gabi Melman since spdlog is excluded

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Dec 2021 10:50:08 +0100

intel-gmmlib (21.3.3+ds1-1) unstable; urgency=medium

  * New upstream version 21.3.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Nov 2021 20:50:42 +0100

=== debian/control ===
Source: intel-gmmlib
Section: libs
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libspdlog-dev
Standards-Version: 4.6.0
Homepage: https://github.com/intel/gmmlib
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git
Rules-Requires-Root: no

Package: libigdgmm12
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Intel Graphics Memory Management Library -- shared library
 The Intel Graphics Memory Management Library provides device specific
 and buffer management for the Intel Graphics Compute Runtime for
 OpenCL and the Intel Media Driver for VAAPI.
 .
 This library is only useful for Broadwell and newer CPUs.
 .
 This package includes the shared library.

Package: libigdgmm-dev
Section: libdevel
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 libigdgmm12 (= ${binary:Version}),
 ${misc:Depends}
Description: Intel Graphics Memory Management Library -- development files
 The Intel Graphics Memory Management Library provides device specific
 and buffer management for the Intel Graphics Compute Runtime for
 OpenCL and the Intel Media Driver for VAAPI.
 .
 This library is only useful for Broadwell and newer CPUs.
 .
 This package includes files for development.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
endif

## intel-gmmlib 22.1.2+ds1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1 FATAL_ERROR)

if (NOT DEFINED RUN_TEST_SUITE)
option (RUN_TEST_SUITE "run test suite after install" ON)
endif (NOT DEFINED RUN_TEST_SUITE)

add_subdirectory(Source/GmmLib)

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 12)
-set(GMMLIB_API_MINOR_VERSION 0)
+set(GMMLIB_API_MINOR_VERSION 1)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 12)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 0)
+	set(MINOR_VERSION 1)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
@@ -42,6 +42,26 @@
 if(NOT DEFINED GMMLIB_API_PATCH_VERSION)
     set(GMMLIB_API_PATCH_VERSION ${PATCH_VERSION})
 endif()
+
+# The Gmmlib dll is generated as libigdgmm.so.<x>.<y>.<z> where,
+# <x> = GMMLIB_API_MAJOR_VERSION
+# <y> = GMMLIB_API_MINOR_VERSION
+# <z> = GMMLIB_API_PATCH_VERSION
+#
+# Example: libigdgmm.so.12.0.0
+# 12 = GMMLIB_API_MAJOR_VERSION
+# 0  = GMMLIB_API_MINOR_VERSION
+# 0  = GMMLIB_API_PATCH_VERSION
+#
+# Library version update
+# - increment major for any ABI change
+# - increment minor for any interface change (e.g. new/modified function)
+#
+# Example:
+# On potential ABI break changes
+#
+# libigdgmm.so.<GMMLIB_API_MAJOR_VERSION>.y.z becomes libigdgmm.so.<GMMLIB_API_MAJOR_VERSION + 1>.0.0
+# i.e libigdgmm.so.12.5.0 becomes libigdgmm.so.13.0.0
 
 message(STATUS "API version: ${GMMLIB_API_MAJOR_VERSION}.${GMMLIB_API_MINOR_VERSION}.${GMMLIB_API_PATCH_VERSION}")
 message(STATUS "Package version: ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
@@ -141,7 +161,9 @@
     set(CMAKE_BUILD_TYPE "Debug")
 endif()
 
-if("${GMMLIB_MARCH}" STREQUAL "")
+if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch")
+    set(GMMLIB_MARCH "armv8-a+fp+simd")
+elseif("${GMMLIB_MARCH}" STREQUAL "")
     set(GMMLIB_MARCH "corei7")
 endif()
 
@@ -275,20 +297,3 @@
 
 set(UMD_SOURCES
   ${SOURCES_}
-  ${BS_DIR_GMMLIB}/TranslationTable/GmmAuxTable.cpp
-  ${BS_DIR_GMMLIB}/TranslationTable/GmmPageTableMgr.cpp
-  ${BS_DIR_GMMLIB}/TranslationTable/GmmUmdTranslationTable.cpp
-  ${BS_DIR_GMMLIB}/GlobalInfo/GmmClientContext.cpp
-  ${BS_DIR_GMMLIB}/GlobalInfo/GmmLibDllMain.cpp
-  )
-
-source_group("Source Files\\Cache Policy\\Client Files" FILES
-			${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
-                        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
-			)
-

=== Source/GmmLib/ULT/CMakeLists.txt ===
# Copyright(c) 2017 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files(the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and / or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

set (EXE_NAME GMMULT)

set(GMMULT_HEADERS
     GmmCachePolicyULT.h
     GmmCommonULT.h
     GmmMultiAdapterULT.h
     GmmGen10CachePolicyULT.h
     GmmGen10ResourceULT.h
     GmmGen11CachePolicyULT.h
     GmmGen11ResourceULT.h
     GmmGen12ResourceULT.h
     GmmGen12dGPUResourceULT.h
     GmmGen12CachePolicyULT.h
     GmmGen12dGPUCachePolicyULT.h
     GmmGen9CachePolicyULT.h
     GmmGen9ResourceULT.h
     GmmResourceULT.h
     GmmAuxTableULT.h
     stdafx.h
     targetver.h
     )

set(GMMULT_SOURCES
    GmmCachePolicyULT.cpp
    GmmCommonULT.cpp
    GmmMultiAdapterULT.cpp
    GmmGen10CachePolicyULT.cpp
    GmmGen10ResourceULT.cpp
    GmmGen11CachePolicyULT.cpp
    GmmGen12CachePolicyULT.cpp
    GmmGen12dGPUCachePolicyULT.cpp
    GmmGen11ResourceULT.cpp
    GmmGen12ResourceULT.cpp
    GmmGen12dGPUResourceULT.cpp
    GmmGen9CachePolicyULT.cpp
    GmmGen9ResourceULT.cpp
    GmmResourceCpuBltULT.cpp
    GmmResourceULT.cpp
    GmmAuxTableULT.cpp
    googletest/src/gtest-all.cc
    GmmULT.cpp
)

source_group("Source Files\\Cache Policy" FILES
            GmmCachePolicyULT.cpp
            GmmGen9CachePolicyULT.cpp
            GmmGen10CachePolicyULT.cpp
            GmmGen11CachePolicyULT.cpp
            GmmGen12CachePolicyULT.cpp
            GmmGen12dGPUCachePolicyULT.cpp
            )

source_group("Source Files\\Resource" FILES
            GmmGen10ResourceULT.cpp
            GmmGen11ResourceULT.cpp
            GmmGen12ResourceULT.cpp
            GmmGen12dGPUResourceULT.cpp
            GmmGen9ResourceULT.cpp
            GmmResourceCpuBltULT.cpp
            GmmResourceULT.cpp
            )

source_group("Source Files\\TranslationTable" FILES
            GmmAuxTableULT.cpp
            )

source_group("Source Files\\MultiAdapter" FILES
            GmmMultiAdapterULT.cpp
            )

source_group("Header Files\\TranslationTable" FILES
            GmmAuxTableULT.h
            )

source_group("Header Files\\Cache Policy" FILES
             GmmCachePolicyULT.h
             GmmGen10CachePolicyULT.h
             GmmGen11CachePolicyULT.h
             GmmGen12CachePolicyULT.h
             GmmGen12dGPUCachePolicyULT.h
             GmmGen9CachePolicyULT.h
            )

source_group("Header Files\\Resource" FILES
             GmmGen10ResourceULT.h
             GmmGen11ResourceULT.h
             GmmGen12ResourceULT.h
             GmmGen12dGPUResourceULT.h
             GmmGen9ResourceULT.h
             GmmResourceULT.h
            )

source_group("Header Files\\MultiAdapter" FILES
            GmmMultiAdapterULT.h
            )

source_group("gtest" FILES
            googletest/gtest/gtest.h
            googletest/src/gtest-all.cc
            )

include_directories(BEFORE ./)

include_directories(BEFORE ${PROJECT_SOURCE_DIR})

include_directories(
    googletest
    googletest/gtest
    ${BS_DIR_INC}/umKmInc
    ${BS_DIR_INC}
    ${BS_DIR_GMMLIB}/inc
    ${BS_DIR_INC}/common
    )

macro(GmmLibULTSetTargetConfig ultTarget)
	if (TARGET ${ultTarget})
			set_property(TARGET ${ultTarget} APPEND PROPERTY COMPILE_DEFINITIONS
				$<$<CONFIG:Release>: _RELEASE>
				$<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
				$<$<CONFIG:Debug>: _DEBUG>
			)
		endif()

endmacro()

add_executable(${EXE_NAME} ${GMMULT_HEADERS} ${GMMULT_SOURCES})

GmmLibULTSetTargetConfig(${EXE_NAME})

set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_LIB_DLL __UMD)

if(NOT TARGET igfx_gmmumd_dll)
    add_subdirectory("${BS_DIR_GMMLIB}" "${CMAKE_BINARY_DIR}/gmmlib/ult")
endif()
target_link_libraries(${EXE_NAME} igfx_gmmumd_dll)

target_link_libraries(${EXE_NAME}
    pthread
    dl
)

add_custom_target(Run_ULT ALL DEPENDS GMMULT)

add_custom_command(
    TARGET Run_ULT
    POST_BUILD
    COMMAND echo running ULTs
    COMMAND "${CMAKE_COMMAND}" -E env "LD_LIBRARY_PATH=$<TARGET_FILE_DIR:igfx_gmmumd_dll>" ${CMAKE_CFG_INTDIR}/${EXE_NAME} --gtest_filter=CTest*
)

=== debian/changelog ===
intel-gmmlib (22.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.2+ds1
    - Revert ABI breakage (Closes: #1007992)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 25 Mar 2022 00:04:41 +0100

intel-gmmlib (22.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Mar 2022 23:24:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>

## intel-gmmlib 22.2.0+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 12)
-set(GMMLIB_API_MINOR_VERSION 1)
+set(GMMLIB_API_MINOR_VERSION 2)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 12)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 1)
+	set(MINOR_VERSION 2)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
@@ -144,6 +144,19 @@
   set( CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING
        "Reset the configurations to what we need"
        FORCE)
+else()
+  if("${BUILD_TYPE}" STREQUAL "release")
+     set(CMAKE_BUILD_TYPE "Release")
+  elseif("${BUILD_TYPE}" STREQUAL "release-internal")
+    set(CMAKE_BUILD_TYPE "ReleaseInternal")
+  elseif("${BUILD_TYPE}" STREQUAL "debug")
+    set(CMAKE_BUILD_TYPE "Debug")
+  elseif("${BUILD_TYPE}" STREQUAL "RelWithDebInfo")
+    set(CMAKE_BUILD_TYPE "RelWithDebInfo")
+  elseif("${BUILD_TYPE}" STREQUAL "MinSizeRel")
+    set(CMAKE_BUILD_TYPE "MinSizeRel")
+  endif()
+
 endif()
 
 set(GMMLIB_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
@@ -151,14 +164,6 @@
     set (GMMLIB_ARCH "64")
 else()
     set (GMMLIB_ARCH "32")
-endif()
-
-if ("${BUILD_TYPE}" STREQUAL "release")
-    set(CMAKE_BUILD_TYPE "Release")
-elseif ("${BUILD_TYPE}" STREQUAL "release-internal")
-    set(CMAKE_BUILD_TYPE "ReleaseInternal")
-elseif ("${BUILD_TYPE}" STREQUAL "debug")
-    set(CMAKE_BUILD_TYPE "Debug")
 endif()
 
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch")
@@ -290,10 +295,3 @@
   ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTextureOffset.cpp
   ${BS_DIR_GMMLIB}/GlobalInfo/GmmInfo.cpp
-  ${BS_DIR_GMMLIB}/Utility/CpuSwizzleBlt/CpuSwizzleBlt.c
-  ${BS_DIR_GMMLIB}/Utility/GmmLog/GmmLog.cpp
-  ${BS_DIR_GMMLIB}/Utility/GmmUtility.cpp
-)
-
-set(UMD_SOURCES
-  ${SOURCES_}

=== debian/changelog ===
intel-gmmlib (22.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.2.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Sep 2022 21:42:32 +0200

intel-gmmlib (22.1.8+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.8+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Sep 2022 09:30:41 +0200

intel-gmmlib (22.1.7+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.7+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Aug 2022 21:07:30 +0200

intel-gmmlib (22.1.5+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.5+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Jul 2022 15:32:35 +0200

intel-gmmlib (22.1.3+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.3+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 May 2022 10:10:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  cmake,
  libspdlog-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

## intel-gmmlib 22.3.2+ds1

=== debian/changelog ===
intel-gmmlib (22.3.2+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Sebastian Ramacher ]
  * New upstream version 22.3.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Dec 2022 23:44:26 +0100

intel-gmmlib (22.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Nov 2022 22:38:27 +0100

intel-gmmlib (22.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Oct 2022 21:08:18 +0100

intel-gmmlib (22.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.2.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 19 Oct 2022 19:12:24 +0200

## intel-gmmlib 22.3.3+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,6 @@
 option (RUN_TEST_SUITE "run test suite after install" ON)
 endif (NOT DEFINED RUN_TEST_SUITE)
 
+project(igfx_gmmumd)
+
 add_subdirectory(Source/GmmLib)

=== Source/GmmLib/ULT/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
      GmmGen12dGPUResourceULT.h
      GmmGen12CachePolicyULT.h
      GmmGen12dGPUCachePolicyULT.h
+     GmmXe_LPGCachePolicyULT.h
      GmmGen9CachePolicyULT.h
      GmmGen9ResourceULT.h
      GmmResourceULT.h
@@ -49,6 +50,7 @@
     GmmGen11CachePolicyULT.cpp
     GmmGen12CachePolicyULT.cpp
     GmmGen12dGPUCachePolicyULT.cpp
+    GmmXe_LPGCachePolicyULT.cpp
     GmmGen11ResourceULT.cpp
     GmmGen12ResourceULT.cpp
     GmmGen12dGPUResourceULT.cpp
@@ -68,7 +70,8 @@
             GmmGen11CachePolicyULT.cpp
             GmmGen12CachePolicyULT.cpp
             GmmGen12dGPUCachePolicyULT.cpp
-            )
+            GmmXe_LPGCachePolicyULT.cpp
+	    )
 
 source_group("Source Files\\Resource" FILES
             GmmGen10ResourceULT.cpp
@@ -97,7 +100,8 @@
              GmmGen10CachePolicyULT.h
              GmmGen11CachePolicyULT.h
              GmmGen12CachePolicyULT.h
-             GmmGen12dGPUCachePolicyULT.h
+             GmmXe_LPGCachePolicyULT.h
+	     GmmGen12dGPUCachePolicyULT.h
              GmmGen9CachePolicyULT.h
             )

=== debian/changelog ===
intel-gmmlib (22.3.3+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 06 May 2023 21:36:13 -0400

intel-gmmlib (22.3.3+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.3+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Jan 2023 15:08:15 +0100

intel-gmmlib (22.3.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 04 Jan 2023 20:47:47 -0500

intel-gmmlib (22.1.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 29 Apr 2022 20:43:05 -0400

## intel-gmmlib 22.3.4+ds1

=== debian/changelog ===
intel-gmmlib (22.3.4+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.4+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Mar 2023 21:29:17 +0100

## intel-gmmlib 22.3.9+ds1

=== debian/changelog ===
intel-gmmlib (22.3.9+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.9+ds1
    - Fix build on i386 (Closes: #1041474)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Jul 2023 22:03:26 +0200

intel-gmmlib (22.3.7+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.7+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 18:04:44 +0200

intel-gmmlib (22.3.6+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.6+ds1
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Jun 2023 21:08:44 +0200

## intel-gmmlib 22.3.11+ds1

=== debian/changelog ===
intel-gmmlib (22.3.11+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.11+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Sep 2023 19:01:19 +0200

## intel-gmmlib 22.3.14+ds1

=== debian/changelog ===
intel-gmmlib (22.3.14+ds1-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:50:02 +0800

intel-gmmlib (22.3.14+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.14+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2023 00:13:08 +0100

intel-gmmlib (22.3.12+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.12+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Oct 2023 22:28:29 +0200

## intel-gmmlib 22.3.17%2Bds1

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  cmake,
  libspdlog-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

## intel-gmmlib 22.3.17+ds1

=== Source/GmmLib/ULT/CMakeLists.txt ===
--- 
+++ 
@@ -171,3 +171,8 @@
     COMMAND echo running ULTs
     COMMAND "${CMAKE_COMMAND}" -E env "LD_LIBRARY_PATH=$<TARGET_FILE_DIR:igfx_gmmumd_dll>" ${CMAKE_CFG_INTDIR}/${EXE_NAME} --gtest_filter=CTest*
 )
+
+add_test(
+    NAME ULT
+    COMMAND env "LD_LIBRARY_PATH=$<TARGET_FILE_DIR:igfx_gmmumd_dll>" $<TARGET_FILE:${EXE_NAME}> --gtest_filter=CTest*
+)

=== debian/changelog ===
intel-gmmlib (22.3.17+ds1-1ubuntu1) noble; urgency=medium

  * debian/patches: Add patch for TWL support (LP: #2138258)

 -- Shane McKee <shane.mckee@canonical.com>  Mon, 12 Jan 2026 11:39:01 -0800

intel-gmmlib (22.3.17+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.17+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Feb 2024 20:24:49 +0100

intel-gmmlib (22.3.16+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.16+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Dec 2023 20:45:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>

## intel-gmmlib 22.3.19+ds1

=== debian/changelog ===
intel-gmmlib (22.3.19+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.19+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 May 2024 18:50:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>
@@ -10,7 +9,7 @@
  debhelper-compat (= 13),
  cmake,
  libspdlog-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

## intel-gmmlib 22.5.2

=== debian/changelog ===
intel-gmmlib (22.5.2-0ubuntu1) oracular; urgency=medium

  * Bump to 22.5.2 (LP: #2082016)

 -- Shane McKee <shane.mckee@canonical.com>  Mon, 23 Sep 2024 20:42:55 +0800

intel-gmmlib (22.5.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2024 19:39:36 +0200

intel-gmmlib (22.4.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.4.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Jul 2024 12:22:18 +0200

## intel-gmmlib 22.6.0+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 12)
-set(GMMLIB_API_MINOR_VERSION 2)
+set(GMMLIB_API_MINOR_VERSION 6)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 12)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 2)
+	set(MINOR_VERSION 6)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
@@ -125,14 +125,13 @@
 set (GMM_LIB_DLL_NAME igfx_gmmumd_dll)
 
 macro(GmmLibSetTargetConfig libTarget)
-	if (TARGET ${libTarget})
-			set_property(TARGET ${libTarget} APPEND PROPERTY COMPILE_DEFINITIONS
-				$<$<CONFIG:Release>: _RELEASE>
-				$<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
-				$<$<CONFIG:Debug>: _DEBUG>
-			)
-		endif()
-
+    if(TARGET ${libTarget})
+        set_property(TARGET ${libTarget} APPEND PROPERTY COMPILE_DEFINITIONS
+           $<$<CONFIG:Release>: _RELEASE>
+           $<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
+           $<$<CONFIG:Debug>: _DEBUG>
+           )
+    endif()
 endmacro()
 
 if(CMAKE_CONFIGURATION_TYPES)
@@ -204,13 +203,17 @@
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
-        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
+        ${BS_DIR_GMMLIB}/CachePolicy/GmmXe_LPGCachePolicy.h
+        ${BS_DIR_GMMLIB}/CachePolicy/GmmXe2_LPGCachePolicy.h	
+	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen10.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen11.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12.h
-        ${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12dGPU.h
+	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyXe_LPG.h
+        ${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyXe2_LPG.h
+	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12dGPU.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen8.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen9.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
@@ -244,6 +247,7 @@
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen10TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen11TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen12TextureCalc.h
+	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmXe_LPGTextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen7TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen8TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen9TextureCalc.h
@@ -272,6 +276,8 @@
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.cpp
+  ${BS_DIR_GMMLIB}/CachePolicy/GmmXe_LPGCachePolicy.cpp
+  ${BS_DIR_GMMLIB}/CachePolicy/GmmXe2_LPGCachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen11Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen12Platform.cpp
@@ -285,13 +291,3 @@
   ${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp
   ${BS_DIR_GMMLIB}/Resource/Linux/GmmResourceInfoLinCWrapper.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen7Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen8Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen9Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen10Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen11Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen12Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTexture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTextureAlloc.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTextureOffset.cpp
-  ${BS_DIR_GMMLIB}/GlobalInfo/GmmInfo.cpp

=== debian/changelog ===
intel-gmmlib (22.6.0+ds1-1ubuntu2) plucky; urgency=medium

  * Backport patch to add Battlemage PCI ID 0xE211 (LP: #2106038)

 -- Shane McKee <shane.mckee@canonical.com>  Thu, 03 Apr 2025 14:49:07 +0400

intel-gmmlib (22.6.0+ds1-1ubuntu1) plucky; urgency=medium

  * Backport patch to add PCI IDs for Battlemage SKUs (LP: #2104011)

 -- Shane McKee <shane.mckee@canonical.com>  Tue, 25 Mar 2025 00:40:23 +0800

intel-gmmlib (22.6.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 28 Dec 2024 13:31:31 +0100

intel-gmmlib (22.5.5+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.5+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Dec 2024 20:50:16 +0100

intel-gmmlib (22.5.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Oct 2024 12:28:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>

## intel-gmmlib 22.7.0+ds1

=== debian/changelog ===
intel-gmmlib (22.7.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.7.0+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Mar 2025 19:23:14 +0100

## intel-gmmlib 22.7.1

=== debian/changelog ===
intel-gmmlib (22.7.1-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.7.1

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 27 Mar 2025 18:10:53 +0800

intel-gmmlib (22.6.0-1ppa1~noble1) noble; urgency=medium

  *  Bump to version 22.6.0
  *  d/p: rebased a patches.
     - 0001-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 17 Mar 2025 14:46:52 +0800

intel-gmmlib (22.5.5-1ppa1~noble2) noble; urgency=medium

  * debian/patches: add BMG-E NX1 and NX2 device id.
    - 0001-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 --  Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 06 Feb 2025 08:56:07 +0800

intel-gmmlib (22.5.5-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.5.5
  * debian/patches: drop patches already merged.
    - 0003-Extend-helper-Macros-219.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Tue, 07 Jan 2025 14:29:21 +0800

intel-gmmlib (22.5.2-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Fix BMG GPU hang
    - 0003-Extend-helper-Macros-219.patch 

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Wed, 20 Nov 2024 14:51:01 +0800

intel-gmmlib (22.5.2-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.5.2

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 30 Oct 2024 09:34:01 +0800

intel-gmmlib (22.5.1-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.5.1

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 09 Sep 2024 12:40:30 +0800

intel-gmmlib (22.3.19-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.3.19

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Fri, 14 Jun 2024 21:54:35 +0800

intel-gmmlib (22.3.18-1ppa1~noble1) noble; urgency=medium

  * build for ubuntu 24.04.

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Wed, 17 Apr 2024 14:21:25 +0800

intel-gmmlib (22.3.18-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: Add new DG2 device id
    - 0001-Add-new-DG2-device-IDs-194.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 01 Apr 2024 15:52:34 +0800

intel-gmmlib (22.3.18-1ppa1~jammy1) jammy; urgency=medium

  * Bump to version 22.3.18

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Mon, 01 Apr 2024 13:51:34 +0800

intel-gmmlib (22.3.15-1ppa1~jammy1) jammy; urgency=medium

  * debian/patches: removed new DG2/ACM device id already integrated.
    - 0001-Add-more-DG2-Device-IDs.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 08 Jan 2024 13:36:10 +0800

intel-gmmlib (22.3.12-1ppa1~jammy3) jammy; urgency=medium

  * debian/patches: add new ARL device id
    - 0001-Add-more-ARL-device-id.patch

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Mon, 27 Nov 2023 16:04:55 +0800

intel-gmmlib (22.3.12-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: add new DG2/ACM device id
    - 0001-Add-more-DG2-Device-IDs.patch

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Thu, 16 Nov 2023 14:42:51 +0800

intel-gmmlib (22.3.12-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.12
  * debian/patches: drop ARL-S support patches since already merged.

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Wed, 01 Nov 2023 14:56:46 +0800

intel-gmmlib (22.3.7-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: add ARL-S support.
    - 0001-Introducing-ARL-S-Support.patch

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Tue, 10 Oct 2023 12:31:06 +0800

intel-gmmlib (22.3.7-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.7

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Wed, 12 Jul 2023 10:18:17 +0800

intel-gmmlib (22.3.5-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.5
  * debian/patches: drop patches already merged.
    - 0002-Integrate-into-cmake-s-test-framework.patch

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Mon, 22 May 2023 12:17:47 +0800

intel-gmmlib (22.3.3-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.3

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Mon, 16 Jan 2023 12:43:30 +0800

intel-gmmlib (22.3.1-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.1

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com> Tue, 29 Nov 2022 15:19:01 +0800

intel-gmmlib (22.2.0-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.2.0
  * debian/patches: drop patches already merged.
    - Support-for-default-build-types.patch

 --  Lim, Siew Hoon <siew.hoon.lim@intel.com>  Fri, 28 Oct 2022 11:20:54 +0800

intel-gmmlib (22.1.4-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.1.4
  * Sync to debian community rules

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Fri, 22 Jul 2022 14:37:50 +0800

intel-gmmlib (22.1.2-1ppa1~jammy2) jammy; urgency=medium

  * Rebased the local patches

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Wed, 13 Jul 2022 23:32:14 +0800

intel-gmmlib (22.1.2-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 22.1.2
    - Revert ABI breakage (Closes: #1007992)
 
 -- Sachin Mokashi <sachin.mokashi@intel.com>  Wed, 18 May 2022 13:01:23 +0800

intel-gmmlib (22.0.2-1ppa1~jammy1) jammy; urgency=medium

  * Build for jammy.

 -- Anuj Mittal <anuj.mittal@intel.com>  Tue, 26 Apr 2022 19:03:19 +0800

intel-gmmlib (22.0.2-1ppa1~hirsute1) hirsute; urgency=medium

  * New upstream release
  * Add intel-gmmlib package for compatibility
  * Sync with Ubuntu repo
      * SONAME bump: libigdgmm11 -> libigdgmm12
      * debian/copyright:
    	- Bump copyright years
    	- Remove Gabi Melman since spdlog is excluded

 -- Chew, Tong Liang <tong.liang.chew@intel.com>  Wed, 23 Mar 2022 22:47:37 +0800

intel-gmmlib (21.3.3) hirsute; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Tue, 07 Dec 2021 10:47:21 +0800

intel-gmmlib (21.2.1) hirsute; urgency=medium

  * drop debian source changes to source code. 

 -- Lee Chee Yang <chee.yang.lee@intel.com>  Wed, 13 Oct 2021 17:36:12 +0800

intel-gmmlib (21.2.1+ds1-1ppa1~hirsute1) hirsute; urgency=medium

  * New upstream release



## intel-gmmlib 22.7.1+ds1

=== debian/changelog ===
intel-gmmlib (22.7.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.7.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Mar 2025 14:04:52 +0200

## intel-gmmlib 22.7.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,4 +6,6 @@
 
 project(igfx_gmmumd)
 
+enable_testing()
+
 add_subdirectory(Source/GmmLib)

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 12)
-set(GMMLIB_API_MINOR_VERSION 6)
+set(GMMLIB_API_MINOR_VERSION 7)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 12)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 6)
+	set(MINOR_VERSION 7)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)

=== debian/changelog ===
intel-gmmlib (22.7.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.7.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 May 2025 18:48:23 +0200
